Loading...
Searching...
No Matches
xccdf_value_instance Struct Reference
Collaboration diagram for xccdf_value_instance:
[legend]

## Public Member Functions

OSCAP_API struct oscap_string_iterator * | xccdf_value_instance_get_choices (const struct xccdf_value_instance *item)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API void | xccdf_value_instance_free (struct xccdf_value_instance *inst)
OSCAP_API const char * | xccdf_value_instance_get_selector (const struct xccdf_value_instance *item)
OSCAP_API bool | xccdf_value_instance_set_selector (struct xccdf_value_instance *obj, const char *newval)
OSCAP_API xccdf_value_type_t | xccdf_value_instance_get_type (const struct xccdf_value_instance *item)
OSCAP_API bool | xccdf_value_instance_get_must_match (const struct xccdf_value_instance *item)
OSCAP_API bool | xccdf_value_instance_set_must_match (struct xccdf_value_instance *obj, bool newval)
OSCAP_API bool | xccdf_value_instance_get_value_boolean (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_value_boolean (struct xccdf_value_instance *inst, bool newval)
OSCAP_API xccdf_numeric | xccdf_value_instance_get_value_number (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_value_number (struct xccdf_value_instance *inst, xccdf_numeric newval)
OSCAP_API const char * | xccdf_value_instance_get_value_string (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_value_string (struct xccdf_value_instance *inst, const char *newval)
OSCAP_API bool | xccdf_value_instance_get_defval_boolean (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_defval_boolean (struct xccdf_value_instance *inst, bool newval)
OSCAP_API xccdf_numeric | xccdf_value_instance_get_defval_number (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_defval_number (struct xccdf_value_instance *inst, xccdf_numeric newval)
OSCAP_API const char * | xccdf_value_instance_get_defval_string (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_defval_string (struct xccdf_value_instance *inst, const char *newval)
OSCAP_API xccdf_numeric | xccdf_value_instance_get_lower_bound (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_lower_bound (struct xccdf_value_instance *inst, xccdf_numeric newval)
OSCAP_API xccdf_numeric | xccdf_value_instance_get_upper_bound (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_upper_bound (struct xccdf_value_instance *inst, xccdf_numeric newval)
OSCAP_API const char * | xccdf_value_instance_get_match (const struct xccdf_value_instance *inst)
OSCAP_API bool | xccdf_value_instance_set_match (struct xccdf_value_instance *inst, const char *newval)
OSCAP_API const char * | xccdf_value_instance_get_value (const struct xccdf_value_instance *val)

## Data Fields

char * | selector
xccdf_value_type_t | type
char * | value
char * | defval
struct oscap_list * | choices
xccdf_numeric | lower_bound
xccdf_numeric | upper_bound
char * | match
struct { |
bool value_given: 1 |
bool defval_given: 1 |
bool must_match_given: 1 |
bool must_match: 1 |
} | flags

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h